Bug 684616 - cryptsetup segfaults in plain mode
cryptsetup segfaults in plain mode
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: cryptsetup-luks (Show other bugs)
5.7
Unspecified Unspecified
high Severity high
: rc
: ---
Assigned To: Milan Broz
Release Test Team
: Regression
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2011-03-13 17:39 EDT by Milan Broz
Modified: 2013-02-28 23:10 EST (History)
8 users (show)

See Also:
Fixed In Version: cryptsetup-luks-1.0.3-7.el5
Doc Type: Bug Fix
Doc Text:
Previously, the cryptsetup utility could have terminated unexpectedly when the key size was larger than 256 bits. The cryptsetup utility now properly supports keys longer than 256 bits, fixing the problem.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-07-21 03:04:21 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Milan Broz 2011-03-13 17:39:19 EDT
Description of problem:

# cryptsetup create x /dev/sdb -h sha256
Enter passphrase: 
Segmentation fault

Version-Release number of selected component (if applicable):
cryptsetup-luks-1.0.3-6.el5.x86_64
Comment 1 Milan Broz 2011-03-13 17:40:02 EDT
Regression in update package.
Comment 3 Milan Broz 2011-03-15 07:41:24 EDT
Fixed in
cryptsetup-luks-1.0.3-7.el5
Comment 5 Alexander Todorov 2011-05-09 07:50:37 EDT
# rpm -q cryptsetup-luks
cryptsetup-luks-1.0.3-8.el5
# cryptsetup create x /dev/vdb -h sha256
Enter passphrase: 
# echo $?
0
# ls -l /dev/mapper/x
brw-rw---- 1 root disk 252, 2  9 may  7,49 /dev/mapper/x

Moving to VERIFIED.
Comment 6 Eliska Slobodova 2011-07-07 12:07:54 EDT
    Technical note added. If any revisions are required, please edit the "Technical Notes" field
    accordingly. All revisions will be proofread by the Engineering Content Services team.
    
    New Contents:
Previously, the cryptsetup utility could have terminated unexpectedly when the key size was larger than 256 bits. The cryptsetup utility now properly supports keys longer than 256 bits, fixing the problem.
Comment 7 errata-xmlrpc 2011-07-21 03:04:21 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0987.html

Note You need to log in before you can comment on or make changes to this bug.